Subject: Re: [Sigtran] [m3ua]-AS-SG

From: "TOLGA ASVEREN" <[email-masked]>
Date: Fri, 28 Feb 2003 14:59:17 +0200

Srini,

Tolga,

An ASP can be a part of different ASs. Similarly, Can a SGP be a part of
different SGs?
[TOLGA]No.

As per RFC page 115, the figure has only one Association between any two
Signalling Processes(SGP/ASP). RFC (or even IG) does not say whether we can
have a single Association or multiple Association between any to Signalling
Processes. But Brain mail says we can have multiple associations. What is
your
comment on this?.
[TOLGA]I don't think multiple associations between two signalling entities
are forbidden. Just I wouldn't consider it as very usefull. For example,
5.4.1.1.1 (the section Samuel was referring to) talks about determining the
correct association to the choosen SGP.

> Srini,
>
> I don't think, what Brian says is the same with the first diagram of
> Samuel's mail,  from the viewpoint of an ASP, one SGP belongs to one SG,
> which is violated by the first diagram of Samuel's mail. Furthermore SGP
> and SG are not different entities which are communicating with each
other.
> One SGP is part of a SG. That is the reason, why several SGP boxes are in
> one SG box (whereas in the first figure, we even have SCTP associations
> between them). I think, the figure Brian has referenced in his message
> (RFC page 115) is a good one to understand the realtionship between SG
and
> SGP.
>
> (And also I don't think it is a good idea to consider interpretations
from
> individuals -regardless of the person (Brian, no offense ;-) )-binding,
> let's consider just RFC and IG).
>
>       Tolga
>
> Tolga,
>
>     The following mail replied by Brian says, a SGP can be part of
multiple
> SGs. How is this different from Samuel model?.
>
> --Srini
>
> >Srini,
>
> >ksrinivas
> wrote:
> (Thu, 30
> Jan 2003 10:08:41)
> >> Tolga,
> >>
> >> An ASP can be a part of different ASs. Similarly, Can a SGP be a part
of
> >> different SGs?
>
> >Sure.  But from the viewpoint of an ASP, the SGP belongs to one SG.  If
an
> >SGP were to perform the function for two SGs for the same AS, the ASP
> would
> >have to form two associations with the SGP: one for SG-A, the other for
> SG-B.
> >The SGP would also need some way of knowing (e.g. static port
allocation)
> >for which SG the ASP was forming an association.
>
> >--brian
>
> TOLGA ASVEREN wrote:
>
> > Samuel,
> >
> > Please find below my interpretations.
> >
> >    Tolga
> >
> > Hi,
> >
> > section 5.4.1.1.1
> >
> > ...
> > - Determine the correct association to the chosen SGP;
> >
> > I have interpreted this statement as below.
> >
> > 1)ASP is selecting the correct association to the chosen SGP when SGP
is
> >   a member of more than one SG.
> > [TOLGA]I don't think it is correct from modelling point of view to see
> one
> > SGP as a member of multiple SGs. I would think, choosing SCTP
association
> > to a given SGP is just for the case, where you have more than one SCTP
> > association(for whatever reason) to a SGP from your ASP.
> >
> >  +----+   ASSOC-1
> >  | SG1|----------+
> >  +----+          |
> >                  |     +-----+
> >  +----+  ASSOC-2 +-----|     |------ +-----+
> >  | SG2|----------------| SGP1|------ | ASP1|
> >  +----+          +-----|     |------ +-----+
> >                  |     +-----+
> >  +----+  ASSOC-3 |
> >  | SG3|----------+
> >  +----+
> >
> > In this case SGP1 will have 3 IP addresses to have 3 SCTP associations
> > with ASP1.When ASP1 wants to send a message to SG3 then ASP will select
> > ASSOC-3.
> > [TOLGA]As Is aid above, I don't think it is a very good idea to see one
> SGP
> > as part of multiple SGs. From ASP point of view, if there are there
> > different SGs, then there should be three different SGPs:
> >
> >   ****SG1********
> >   * +--------+  *
> >   * | SGP1   +--*-----+
> >   * +--------+  *     |
> >   ***************     |
> >   ****SG2********     |   +--------+
> >   * +--------+  *     +---+        |
> >   * | SGP2   +--*---------+ ASP1   |
> >   * +--------+  *     +---+        |
> >   ***************     |   +--------+
> >   ****SG3********     |
> >   * +--------+  *     |
> >   * | SGP3   +--*-----+
> >   * +--------+  *
> >   ***************
> >
> >  Will the below diagram be possible?
> > (i think it is not possible)
> >
> >   PC1
> >  +----+
> >  | SG1|----------+
> >  +----+          |
> >   PC2            |     +-----+
> >  +----+          +-----|     |       +-----+
> >  | SG2|----------------| SGP1|------ | ASP1|
> >  +----+          +-----|     |       +-----+
> >   PC3            |     +-----+
> >  +----+          |
> >  | SG3|----------+
> >  +----+
> >
> > This diagram is wrong because ASP1 may not be able intstrcut SGP1 to
send
> > a message to a particular SG.
> > [TOLGA]Because IMO it is not correct to see a SGP as part of multiple
> SGs,
> > this one is also not possible.
> >
> > Can SGP1 use PC (which is inside routing lable) to dintinguish SGs?
> > [TOLGA]How can you do this?Are your messages destined only to the PC of
> > SGs?
> >
> > 2)ASP is selecting the correct association to the chosen SGP when SGP
is
> >   a member of single SG.
> >
> >     SG1
> >  +-------+
> >  |+-----+|  ASSOC-1
> >  || SGP1||---------+
> >  |+-----+|         |
> >  |       |         |          +------+
> >  |+-----+| ASSOC-2 +----------|      |
> >  || SGP2||--------------------| ASP1 |
> >  |+-----+|         +----------|      |
> >  |       |         |          +------+
> >  |+-----+|ASSOC-3  |
> >  || SG3 ||---------+
> >  |+-----+|
> >  +-------+
> > [TOLGA]In my opinion, this is, how it should be.
> >
> > Are my interpretations all correct ?
> >
> >  --Samuel
> >
> >   Alcatel USA, Inc.                  Internet: <userid>
> @ssd.usa.alcatel.com
> >   1000 Coit Road, Plano, Texas 75075
> >   ******* The opinions expressed are not those of Alcatel USA, Inc.
> *******
> >
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> >
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran